Name:           XmlSchema
Version:        1.4.7
Release:        2%{?dist}
Summary:        Lightweight schema object model
Group:          Development/Libraries  
License:        ASL 2.0
URL:            http://ws.apache.org/commons/XmlSchema
# svn export http://svn.apache.org/repos/asf/webservices/commons/tags/XmlSchema/XmlSchema-1.4.7
# tar cJf XmlSchema-1.4.7.tar.xz XmlSchema-1.4.7
Source0:        %{name}-%{version}.tar.xz
# ws-commons-java5 is for ancient Java environments
Patch0:         %{name}-no-java5.patch
# maven-site-plugin is broken by the lack of cvsjava in maven-scm. 
# cvsjava was removed when netbeans was orphaned.
Patch1:         %{name}-no-site-plugin.patch
BuildArch:      noarch

BuildRequires: java-devel
BuildRequires: jpackage-utils    
BuildRequires: maven
BuildRequires: maven-remote-resources-plugin
BuildRequires: apache-resource-bundles
BuildRequires: bcel
BuildRequires: xalan-j2
BuildRequires: xmlunit
BuildRequires: dos2unix
Requires:      java
Requires:      jpackage-utils
Requires:      bcel
Requires:      xalan-j2
Requires:      xmlunit

%description
Commons XMLSchema is a lightweight schema object model that can be 
used to manipulate or generate a schema. 

%package javadoc
Summary:      API documentation for %{name}
Group:        Documentation
Requires:     jpackage-utils

%description javadoc
API documentation for %{name}.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1

%build
mvn-rpmbuild install javadoc:javadoc
dos2unix README.txt RELEASE-NOTE.txt

%install
install -d -m 755 %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

install -d -m 755 %{buildroot}%{_mavenpomdir}
cp pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%doc README.txt RELEASE-NOTE.txt
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Feb 17 2012 Andy Grimm <agrimm@gmail.com> - 1.4.7-1
- Initial package
